Xalan-Java: Class NodeListImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath
Class NodeListImpl

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--org.apache.xalan.xpath.NodeListImpl

public class NodeListImpl
extends java.util.Vector
implements org.w3c.dom.NodeList

**For advanced use only** Local implementation of NodeList. This class is for internal use for the xpath package only.

See Also:
  Serialized Form

Constructor Summary
`NodeListImpl()` **For advanced use only** Construct a NodeListImpl.

Method Summary
`int` | `getLength()` **For advanced use only** The number of nodes in the list.
`org.w3c.dom.Node` | `item(int index)` **For advanced use only** Returns the `index`th item in the collection.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeListImpl

    public NodeListImpl()

  **For advanced use only** Construct a NodeListImpl.

Method Detail

### item

    public org.w3c.dom.Node item(int index)

  **For advanced use only** Returns the `index`th item in the collection. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Specified by:
    item in interface org.w3c.dom.NodeList
  Parameters:
    `index` - Index into the collection.
  Returns:
    The node at the `index`th position in the `NodeList`, or `null` if that is not a valid index.

### getLength

    public int getLength()

  **For advanced use only** The number of nodes in the list. The range of valid child node indices is 0 to `length-1` inclusive.
  Specified by:
    getLength in interface org.w3c.dom.NodeList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.